Update event staff role
PUT
/manage/events/:eventId/staff/:staffIdChange a staff member's role. Requires the staffWrite permission.
| Auth | Login required |
|---|
Path parameters
eventIdstringrequiredEvent ID or slug.
staffIdstringrequiredStaff ID.
Request body
rolestringrequiredOne of ADMIN / EDITOR / COORDINATOR / RECEPTIONIST (required).
Notes
When accessed with an OAuth access token, `email` fields are recursively removed from the response JSON (they are retained for session-authenticated dashboard access).
Request
curl https://api.4s.link/manage/events/EVENT_ID/staff/STAFF_ID \-X PUT \-H "Authorization: Bearer 4s_at_..." \-H "Content-Type: application/json" \-d '{"role": "ADMIN"}'
Example response
{"id": "st1a2b3-...","role": "EDITOR","user": { "id": "a1b2c3d4-...", "slug": "taro", "firstName": "太郎", "lastName": "山田", "avatarUrl": "https://.../avatar.png" },"createdAt": "2026-08-18T00:00:00.000Z"}